Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class DesktopDefinition

    java.lang.Object
      com.bea.netuix.application.definition.DesktopDefinition

All Implemented Interfaces
  DateableDefinition, TemplateDefinition, Serializable

    public class DesktopDefinition

extends Object
implements TemplateDefinition, DateableDefinition, Serializable

This class represents a persistent desktop.

See Also
  Serialized Form

Nested Class Summary
`static class` | `DesktopDefinition.AsyncModeType`

Field Summary
`protected DesktopDefinition.AsyncModeType` | `asyncMode`

Constructor Summary
`protected` | `DesktopDefinition(DesktopDefinitionId desktopDefinitionId, LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, BookDefinitionId bookDefinitionId, DesktopInstance desktopInstance)` Constructor that takes a `DesktopInstance`
`` | `DesktopDefinition(DesktopDefinitionId desktopDefinitionId, LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, BookDefinitionId bookDefinitionId, LookAndFeelDefinitionId lookAndFeelDefinitionId, ShellDefinitionId shellDefinitionId)` Constructs a new `DesktopDefinition` object.
`` | `DesktopDefinition(DesktopDefinitionId desktopDefinitionId, LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, BookDefinitionId bookDefinitionId, LookAndFeelDefinitionId lookAndFeelDefinitionId, ShellDefinitionId shellDefinitionId, boolean treeOptimization)`

Method Summary
`DesktopDefinition.AsyncModeType` | `getAsyncMode()` The async mode attribute is used to determine if the desktop should rendered in AJAX mode.
`BookDefinitionId` | `getBookDefinitionId()` Returns the `BookDefinitionId` for the primary `BookDefinition` associated with this desktop.
`BookInstanceId` | `getBookInstanceId()` Returns `BookInstanceId` of the `BookInstance` associated with the primary desktop instance of this desktop.
`Date` | `getCreatedDate()` Gets the time that this object was created in the database.
`DesktopDefinitionId` | `getDesktopDefinitionId()` Returns the `DesktopDefinitionId` for this desktop.
`DesktopType.DesktopTypeValue` | `getDesktopType()`
`LocalizationIntersectionId` | `getLocalizationIntersectionId()` Returns the `LocalizationIntersectionId` for this desktop.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `DesktopDefinition` based on the locale of the request used for retrieving the `DesktopDefinition`.
`LookAndFeelDefinitionId` | `getLookAndFeelDefinitionId()` Returns the `LookAndFeelDefinitionId` for the `LookAndFeelDefinition` associated with this desktop.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this desktop.
`Date` | `getModifiedDate()` Gets the time that this object was last updated in the database.
`DesktopInstanceId` | `getPrimaryInstanceId()` Returns the `DesktopInstanceId` for the primary `DesktopInstance` associated with this desktop.
`ShellDefinitionId` | `getShellDefinitionId()` Returns the `ShellDefinitionId` for the `ShellDefinition` associated with this desktop.
`TemplateId` | `getTemplateId()` Returns the `TemplateId` of this template.
`TemplateTypeDefinition.TemplateType` | `getTemplateType()` Returns the `TemplateTypeDefinition.TemplateType` associated with this template
`com.bea.netuix.application.identifier.TemplateTypeId` | `getTemplateTypeId()` Returns the `TemplateTypeId` associated with this template
`String` | `getWebAppName()` Returns the name of the J2EE web application this portlet category is scoped to.
`boolean` | `isDisc()` During rendering should this desktop import the WLP Goo JS framework.
`boolean` | `isDvt()` Is the dynamic visitor tooling functionality enabled for this Desktop?
`boolean` | `isGlobal()`
`boolean` | `isScrollToWindow()` The scrollToWindow feature will scroll the browser view to the `Window` that the user last interacted with on postback requests.
`boolean` | `isTemplate()`
`boolean` | `isTreeOptimization()` During rendering should this desktop use partial control tree contruction.
`void` | `setAsyncMode(DesktopDefinition.AsyncModeType asyncModeType)` The async mode attribute is used to determine if the desktop should rendered in AJAX mode.
`void` | `setBookDefinitionId(BookDefinitionId bookDefinitionId)` Sets the `BookDefinitionId` for the primary book of this dekstop.
`void` | `setDesktopDefinitionId(DesktopDefinitionId desktopDefinitionId)` Sets the `DesktopDefinitionId` for this desktop.
`void` | `setDisc(boolean goo)` During rendering should this desktop import the WLP Goo JS framework.
`void` | `setDvt(boolean dvt)` Set whether or not the dynamic visitor tooling functionality is enabled for this Desktop.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this desktop.
`void` | `setLookAndFeelDefinitionId(LookAndFeelDefinitionId lookAndFeelDefinitionId)` Associates a `LookAndFeelDefinition` with this desktop.
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)` Sets the `MarkupDefinitionId` for this desktop.
`void` | `setScrollToWindow(boolean scrollToWindow)` The scrollToWindow feature will scroll the browser view to the `Window` that the user last interacted with on postback requests.
`void` | `setShellDefinitionId(ShellDefinitionId shellDefinitionId)` Associates a `ShellDefinition` with this desktop.
`void` | `setTreeOptimization(boolean treeOptimization)` During rendering should this desktop use partial control tree contruction.
`String` | `toString()` Returns a concatenated string representation of DesktopDefinitionId(web app name + portal path + desktop path) LocalizationIntersectionId(int) BookDefinitionId(int) MarkupDefinitionId(int) Tree Optimized flag(boolean) DesktopType(enum) IsTemplate flag(boolean) IsGlobal flag(boolean) AsyncMode(enum) Scroll To Window flag(boolean) Goo Enabled flag(boolean) DVT Enabled flag(boolean)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### asyncMode

    protected DesktopDefinition.AsyncModeType asyncMode

Constructor Detail

### DesktopDefinition

    public DesktopDefinition(DesktopDefinitionId desktopDefinitionId,
                             LocalizationResource localizationResource,
                             MarkupDefinitionId markupDefinitionId,
                             BookDefinitionId bookDefinitionId,
                             LookAndFeelDefinitionId lookAndFeelDefinitionId,
                             ShellDefinitionId shellDefinitionId)

  Constructs a new `DesktopDefinition` object.

  Parameters
    `desktopDefinitionId` - desktopDefinitionId for this desktop
    `localizationResource` - localized title and description
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this desktop
    `bookDefinitionId` - reference to a persisted `BookDefinition` that represents the main book of this desktop
    `lookAndFeelDefinitionId` - reference to a persisted `LookAndFeelDefinition` to be associated with this desktop
    `shellDefinitionId` - reference to a persisted `ShellDefinition` to be associated with this desktop

### DesktopDefinition

    public DesktopDefinition(DesktopDefinitionId desktopDefinitionId,
                             LocalizationResource localizationResource,
                             MarkupDefinitionId markupDefinitionId,
                             BookDefinitionId bookDefinitionId,
                             LookAndFeelDefinitionId lookAndFeelDefinitionId,
                             ShellDefinitionId shellDefinitionId,
                             boolean treeOptimization)

### DesktopDefinition

    protected DesktopDefinition(DesktopDefinitionId desktopDefinitionId,
                                LocalizationResource localizationResource,
                                MarkupDefinitionId markupDefinitionId,
                                BookDefinitionId bookDefinitionId,
                                DesktopInstance desktopInstance)

  Constructor that takes a `DesktopInstance`

  Parameters
    `desktopDefinitionId` - desktopDefinitionId for this desktop
    `localizationResource` - localized title and description
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this desktop
    `bookDefinitionId` - reference to a persisted `BookDefinition` that represents the main book of this desktop
    `desktopInstance` - referver to the instance for this definition

Method Detail

### getDesktopDefinitionId

    public DesktopDefinitionId getDesktopDefinitionId()

  Returns the `DesktopDefinitionId` for this desktop.

  Returns
    `DesktopDefinitionId`

### setDesktopDefinitionId

    public void setDesktopDefinitionId(DesktopDefinitionId desktopDefinitionId)

  Sets the `DesktopDefinitionId` for this desktop.

  Parameters
    `desktopDefinitionId` - webapp + portapath + desktoppath

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `DesktopDefinition` based on the locale of the request used for retrieving the `DesktopDefinition`.

  Specified by:
    `getLocalizationResource` in interface `TemplateDefinition`
  Returns
    `LocalizationResource` associated with this desktop

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

  Returns the `LocalizationIntersectionId` for this desktop. Returns null if no LocalizationResource is associated with this desktop. A `LocalizationIntersectionId` is a reference to all localized versions of title and description for an entity.

  Returns
    `LocalizationIntersectionId` for this desktop

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this desktop.

  Parameters
    `localizationResource` - title and description

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this desktop.

  Returns
    `MarkupDefinitionId`
  See Also
    `MarkupDefinition`

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

  Sets the `MarkupDefinitionId` for this desktop.

  Parameters
    `markupDefinitionId` - database unique id

### getBookDefinitionId

    public BookDefinitionId getBookDefinitionId()

  Returns the `BookDefinitionId` for the primary `BookDefinition` associated with this desktop.

  Returns
    `BookDefinitionId`
  See Also
    `BookDefinition`

### setBookDefinitionId

    public void setBookDefinitionId(BookDefinitionId bookDefinitionId)

  Sets the `BookDefinitionId` for the primary book of this dekstop.

  Parameters
    `bookDefinitionId` - databse unique id

### getShellDefinitionId

    public ShellDefinitionId getShellDefinitionId()

  Returns the `ShellDefinitionId` for the `ShellDefinition` associated with this desktop.

  Returns
    `ShellDefinitionId`
  See Also
    `ShellDefinition`

### getLookAndFeelDefinitionId

    public LookAndFeelDefinitionId getLookAndFeelDefinitionId()

  Returns the `LookAndFeelDefinitionId` for the `LookAndFeelDefinition` associated with this desktop.

  Returns
    `LookAndFeelDefinitionId`
  See Also
    `LookAndFeelDefinition`

### getBookInstanceId

    public BookInstanceId getBookInstanceId()

  Returns `BookInstanceId` of the `BookInstance` associated with the primary desktop instance of this desktop.

  Returns
    `BookInstanceId`
  See Also
    `BookInstance`

### getPrimaryInstanceId

    public DesktopInstanceId getPrimaryInstanceId()

  Returns the `DesktopInstanceId` for the primary `DesktopInstance` associated with this desktop.

  Returns
    `DesktopInstanceId`

### setLookAndFeelDefinitionId

    public void setLookAndFeelDefinitionId(LookAndFeelDefinitionId lookAndFeelDefinitionId)

  Associates a `LookAndFeelDefinition` with this desktop.

  Parameters
    `lookAndFeelDefinitionId` - database unique id

### setShellDefinitionId

    public void setShellDefinitionId(ShellDefinitionId shellDefinitionId)

  Associates a `ShellDefinition` with this desktop.

  Parameters
    `shellDefinitionId` - database unique id

### getDesktopType

    public DesktopType.DesktopTypeValue getDesktopType()

### isTemplate

    public boolean isTemplate()

### isGlobal

    public boolean isGlobal()

### getWebAppName

    public String getWebAppName()

  Returns the name of the J2EE web application this portlet category is scoped to.

  Specified by:
    `getWebAppName` in interface `TemplateDefinition`
  Returns
    web application name

### getTemplateId

    public TemplateId getTemplateId()

  Description copied from interface: `TemplateDefinition`
  Returns the `TemplateId` of this template.

  Specified by:
    `getTemplateId` in interface `TemplateDefinition`
  Returns
    template id

### getTemplateType

    public TemplateTypeDefinition.TemplateType getTemplateType()

  Description copied from interface: `TemplateDefinition`
  Returns the `TemplateTypeDefinition.TemplateType` associated with this template

  Specified by:
    `getTemplateType` in interface `TemplateDefinition`
  Returns
    template type

### getTemplateTypeId

    public com.bea.netuix.application.identifier.TemplateTypeId getTemplateTypeId()

  Description copied from interface: `TemplateDefinition`
  Returns the `TemplateTypeId` associated with this template

  Specified by:
    `getTemplateTypeId` in interface `TemplateDefinition`
  Returns
    template type id

### isTreeOptimization

    public boolean isTreeOptimization()

  During rendering should this desktop use partial control tree contruction. This can improve performance but some features are lost.

### setTreeOptimization

    public void setTreeOptimization(boolean treeOptimization)

  During rendering should this desktop use partial control tree contruction. This can improve performance but some features are lost.

  Parameters
    `treeOptimization` - true or false

### getAsyncMode

    public DesktopDefinition.AsyncModeType getAsyncMode()

  The async mode attribute is used to determine if the desktop should rendered in AJAX mode. Under ajax mode all requests except for the first are returned in JSON format.

  Returns
    a value of "enabled", "disabled", "compat_9_2"

### setAsyncMode

    public void setAsyncMode(DesktopDefinition.AsyncModeType asyncModeType)

  The async mode attribute is used to determine if the desktop should rendered in AJAX mode. Under ajax mode all requests except for the first are returned in JSON format. Note: comprehensive testing should be done before setting this mode as some features are not supported. The default is always "compat_9_2".

  Parameters
    `asyncModeType` - - valid values "enabled", "disabled", "compat_9_2"

### getCreatedDate

    public Date getCreatedDate()

  Gets the time that this object was created in the database.

  Specified by:
    `getCreatedDate` in interface `DateableDefinition`

### getModifiedDate

    public Date getModifiedDate()

  Gets the time that this object was last updated in the database. This value only applies to this immediate object and not its children.

  Specified by:
    `getModifiedDate` in interface `DateableDefinition`

### isScrollToWindow

    public boolean isScrollToWindow()

  The scrollToWindow feature will scroll the browser view to the `Window` that the user last interacted with on postback requests. This flag identifies whether or not the feature is enabled. Defaults to false.

### setScrollToWindow

    public void setScrollToWindow(boolean scrollToWindow)

  The scrollToWindow feature will scroll the browser view to the `Window` that the user last interacted with on postback requests. This method controls whether or not the feature is enabled. Defaults to false.

  Parameters
    `scrollToWindow` - true or false

### isDisc

    public boolean isDisc()

  During rendering should this desktop import the WLP Goo JS framework.

### setDisc

    public void setDisc(boolean goo)

  During rendering should this desktop import the WLP Goo JS framework.

  Parameters
    `goo` - true or false

### isDvt

    public boolean isDvt()

  Is the dynamic visitor tooling functionality enabled for this Desktop?

### setDvt

    public void setDvt(boolean dvt)

  Set whether or not the dynamic visitor tooling functionality is enabled for this Desktop.

  Parameters
    `dvt` - true or false

### toString

    public String toString()

  Returns a concatenated string representation of
  - DesktopDefinitionId(web app name + portal path + desktop path)
  - LocalizationIntersectionId(int)
  - BookDefinitionId(int)
  - MarkupDefinitionId(int)
  - Tree Optimized flag(boolean)
  - DesktopType(enum)
  - IsTemplate flag(boolean)
  - IsGlobal flag(boolean)
  - AsyncMode(enum)
  - Scroll To Window flag(boolean)
  - Goo Enabled flag(boolean)
  - DVT Enabled flag(boolean)

  Overrides:
    `toString` in class `Object`
  Returns
    String with pretty printed attributes

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.